Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective
Class Perspective

    java.lang.Object
      org.flexdock.perspective.Perspective

All Implemented Interfaces:
  Serializable, Cloneable

    public class Perspective

extends Object
implements Cloneable, Serializable

Author:
  Mateusz Szczap
See Also:
  Serialized Form

Constructor Summary
`Perspective(String persistentId, String perspectiveName)`
`Perspective(String persistentId, String perspectiveName, boolean defaultMode)`

Method Summary
`void` | `addDockable(String dockableId)`
`void` | `addLayoutListener(LayoutListener listener)`
`void` | `cacheLayoutState(DockingPort port)`
`Object` | `clone()`
`Dockable` | `getDockable(String dockableId)`
`Dockable[]` | `getDockables()`
`DockingState` | `getDockingState(Dockable dockable)`
`DockingState` | `getDockingState(Dockable dockable, boolean load)`
`DockingState` | `getDockingState(String dockable)`
`DockingState` | `getDockingState(String dockable, boolean load)`
`LayoutSequence` | `getInitialSequence()`
`LayoutSequence` | `getInitialSequence(boolean create)`
`Layout` | `getLayout()`
`String` | `getName()`
`String` | `getPersistentId()`
`void` | `load(DockingPort port)`
`boolean` | `removeDockable(String dockableId)`
`void` | `removeLayoutListener(LayoutListener listener)`
`void` | `reset(DockingPort port)`
`void` | `setInitialSequence(LayoutSequence sequence)`
`void` | `setLayout(Layout layout)`
`void` | `unload()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Perspective

    public Perspective(String persistentId,
                       String perspectiveName)

### Perspective

    public Perspective(String persistentId,
                       String perspectiveName,
                       boolean defaultMode)

Parameters:
  `persistentId` -
  `perspectiveName` -
  `defaultMode` -
Throws:
  `IllegalArgumentException` - if `persistentId` or `perspectiveName` is `null`.

Method Detail

### getName

    public String getName()

### getPersistentId

    public String getPersistentId()

### addDockable

    public void addDockable(String dockableId)

### removeDockable

    public boolean removeDockable(String dockableId)

### getDockable

    public Dockable getDockable(String dockableId)

### addLayoutListener

    public void addLayoutListener(LayoutListener listener)

### removeLayoutListener

    public void removeLayoutListener(LayoutListener listener)

### getDockables

    public Dockable[] getDockables()

### getDockingState

    public DockingState getDockingState(String dockable)

### getDockingState

    public DockingState getDockingState(Dockable dockable)

### getDockingState

    public DockingState getDockingState(String dockable,
                                        boolean load)

### getDockingState

    public DockingState getDockingState(Dockable dockable,
                                        boolean load)

### getInitialSequence

    public LayoutSequence getInitialSequence()

### getInitialSequence

    public LayoutSequence getInitialSequence(boolean create)

### setInitialSequence

    public void setInitialSequence(LayoutSequence sequence)

### getLayout

    public Layout getLayout()

### setLayout

    public void setLayout(Layout layout)

### reset

    public void reset(DockingPort port)

### load

    public void load(DockingPort port)

### unload

    public void unload()

### cacheLayoutState

    public void cacheLayoutState(DockingPort port)

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD